<?php
require "config.php";

/* suppose that we are going to update A005 Camera */
$sql = "SELECT * FROM a0004 WHERE id=?";
$product = $db->fetch($sql, ["A005"]);
?>
<!DOCTYPE html>
<html>
<head>
<?php head(); ?>
<link rel="stylesheet" href="style.css">
</head>
<body>
<header>
<ul>
	<li>&nbsp;</li>
	<li><a href="create.php">CREATE</a></li>
	<li><a href="read.php">READ</a></li>
	<li><a href="delete.php">DELETE</a></li>
	<li>&nbsp;</li>
</ul>
</header>
<div>&nbsp;</div>
<div class="container">
	<div>&nbsp;</div>
    <div class="prod-title">
        <h4>CRUD - Update</h4>
    </div>
    <div class="prod-data">
        <label>ID:</label>
        <input id="id" type="text" required value="<?= $product['id'] ?>" />
        <label>NAME:</label>
        <input id="name" type="text" required value="<?= $product['name'] ?>" />
        <label>PRICE:</label>
        <input id="price" type="text" required value="<?= $product['price'] ?>" />
        <label>PICTURE:</label>
        <input id="photo" type="text" required value="<?= $product['photo'] ?>" />
        <input id="db-action" type="submit" value="UPDATE"/>
    </div>
</div>	
<div>&nbsp;</div>
</body>
</html>
<script>
$(document).ready(function() {  
	$('input#db-action').on("click", function() {
		data = { 
			id:$('input#id').val(),
			name:$('input#name').val(),
			price:$('input#price').val(),
			photo:$('input#photo').val(),
		};		
		sendout("update", data); 
	});	
});
</script>


